
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在AIX Version 5.3中使用Java和PHP技术进行开发，第1部分 / iVAN</title>

    <meta name="description" content="在AIX Version 5.3中使用Java和PHP技术进行开发，第1部分 第1部分:设置Java环境 简介:在AIX 上开发一个Java应用程序,并了解如何通过使用PHP接口扩展该应用程序以 查看基础 Java 代码.在AIX中可以开发使用Java和PHP技术的应用程序.在获得使用PHP 作为基于Web的 接口平台的好处的同时,您可以使用Java 代码作为核心逻辑(或者重新部署现有的基于Java的应用程序 ).本文是系列文章的第 1 部分,研究了AIX中 Java编程语言和PHP 集成方法的基础,提供了使用这种 结构的示例应用程序的简要概述,然后介绍了在安装Java编">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在AIX Version 5.3中使用Java和PHP技术进行开发，第1部分</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>第1部分：设置Java环境</p>
<p>简介：在AIX 上开发一个Java应用程序，并了解如何通过使用PHP接口扩展该应用程序以 查看基础 Java 代码。在AIX中可以开发使用Java和PHP技术的应用程序。在获得使用PHP 作为基于Web的 接口平台的好处的同时，您可以使用Java 代码作为核心逻辑（或者重新部署现有的基于Java的应用程序 ）。本文是系列文章的第 1 部分，研究了AIX中 Java编程语言和PHP 集成方法的基础，提供了使用这种 结构的示例应用程序的简要概述，然后介绍了在安装Java编程语言和Apache Tomcat以开发应用程序之前 所需掌握的一些核心内容。</p>
<p>引言</p>
<p>PHP是一种非常优秀的Web开发语言，而在商业应用程序开 发方面，Java编程语言十分流行。因此，为了在AIX Version 5.3操作系统上充分利用它们 的优势，专门开发了PHP Java Bridge。本系列文章的目的是使得 AIX 5.3开发人员能够更快地在Web应用 程序的开发中集成 PHP和Java技术。</p>
<p>为了说明这一点，您将按照典型的开发过程来构建一个简单 的问卷调查应用程序，具体内容包括：</p>
<p>开发主要的Java应用程序</p>
<p>通过Servlet 将Java应用 程序公开为基于Java的Web应用程序</p>
<p>添加在数据库中存储信息的支持</p>
<p>将原始应用程序公开 为Web服务，并为该应用程序提供 PHP接口</p>
<p>使用专门的PHP Java Bridge 重新开发PHP接口</p>
<p>同时使用PHP和Java技术</p>
<p>对于企业而言，在为应用程序开发新的接口的过程中，最常见的问题之一 是如何设计解决方案。随着向支持Web的应用程序的发展，通常需要为使用现有的语言和框架的现有应用 程序开发基于Web的包装器。</p>
<p>对于某些环境，这可能会导致一些问题，因为Web应用程序的部署情 况可能基于完全不同的技术，并且在许多情况下，某个特定环境的能力和优势始终不能得到最大程度利用 。</p>
<p>甚至在开发新的应用程序时，也可能会出现同样的问题，即Web开发专家习惯于某种环境，如 PHP，而您的业务应用程序逻辑专家则对Java技术有着丰富的经验。有些时候，您可能希望充分利用不同 环境所提供的灵活性。PHP允许对Web应用程序进行快速的应用程序原型设计，并且允许根据需要将HTML和 嵌入的PHP 命令混合在一起，这使得 Web接口的开发变得非常容易。</p>
<p>尽管 Java环境可以使用Java Server Pages (JSP)和本地解决方案（如用于HTML 对象部署的Struts）进行 Web 部署，但是它通常更适 合用于大型应用程序中的核心应用程序逻辑。Java环境具有强类型和标准化的特点，所以它更适合为复杂 的业务应用程序开发解决方案。</p>
<p>关键是使用一种合适的解决方案，而该方案使您能够为应用程序 的不同部分（后端逻辑和前端接口）同时使用这两种解决方案，并且使用Java和PHP技术的接口在两种系 统之间进行信息交换。</p>
<p>Java和PHP技术之间并没有直接的关联，它们是两种不同的技术，使用了完 全不同的逻辑、二进制代码和部署环境。然而，有一种方法可以使得两种系统之间能够相互通信，那就是 使用面向服务的体系结构（SOA）和Web服务来进行信息交换。在这个示例场景中，您将通过一系列 Web服 务来公开 Java应用程序。然后，PHP应用程序将充当 Web服务客户端，以便与 Java Web服务接口进行通 信。</p>
<p>另一种方法是使用PHP Java Bridge，它提供了一个直接对象接口，该接口允许您在同一个应 用程序中直接使用Java和PHP 代码。</p>
<p>在本系列文章和教程中，将详细介绍如何开发Java应用程序 ，并使用基础 Java 代码的PHP接口对该应用程序进行扩展。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 04:38:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/java-web/" title="java web">java web</a>, <a href="https://www.iamivan.net/tag/java%e5%ba%94%e7%94%a8/" title="java应用">java应用</a>, <a href="https://www.iamivan.net/tag/java%e5%bc%80%e5%8f%91%e7%9a%84/" title="java开发的">java开发的</a>, <a href="https://www.iamivan.net/tag/java-%e5%bc%80%e5%8f%91/" title="java 开发">java 开发</a>, <a href="https://www.iamivan.net/tag/java-web-%e6%8a%80%e6%9c%af/" title="java web 技术">java web 技术</a>, <a href="https://www.iamivan.net/tag/java-web-%e9%97%ae%e9%a2%98/" title="java web 问题">java web 问题</a>, <a href="https://www.iamivan.net/tag/web-java/" title="web java">web java</a>, <a href="https://www.iamivan.net/tag/java%e6%a1%8c%e9%9d%a2%e5%ba%94%e7%94%a8/" title="java桌面应用">java桌面应用</a>, <a href="https://www.iamivan.net/tag/java%e4%bc%81%e4%b8%9a%e5%ba%94%e7%94%a8/" title="java企业应用">java企业应用</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在AIX Version 5.3中使用Java和PHP技术进行开发，第1部分的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK7B9p.html" rel="bookmark">在AIX Version 5&period;3中使用Java和PHP技术进行开发&colon; 第6部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 6 部分 为 Java 业务应用程序构建 PHP Web 接口 简介:使用在本系列文章(请参见参考资料)前面的教程中所创建的数据库,为 Java 业务应 用程序构建 PHP Web 接口.这个 PHP Web 接口可以收集来自用户的信息,并将会话数据发送到 Java 业 务应用程序,以进行相应的处理和响应. 开始之前 本教程面向那些希望在 Web 应用程序开发中快速集成 PHP 和 Java 的 AIX 5.3 开发人 员.在本教程中,您将完成一个解决方案的构建过程,其中使用 PHP 作为前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx6Bob.html" rel="bookmark">在AIX Version 5&period;3中使用Java和PHP技术进行开发，第5部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 5 部分: 安装和集成 PHP Java Bridge 简介:在 AIX 中可以开发使用 Java 和 PHP 技术的应用程序.本系列文章共有六个部 分,本文是其中的第 5 部分,将介绍如何在 Tomcat 应用服务器中安装.设置和集成 PHP Java Bridge ,从而使得您能够开发 PHP Web 接口. 关于本系列 PHP是一种非常优秀的Web开发语言,而在业务应用程序开发方面,Java技 术十分流行.因此,为了在AIX Version 5.3 操作系统上充分利用它们的优势,专门开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRVNDz.html" rel="bookmark">在AIX Version 5&period;3中使用Java和PHP技术进行开发，第4部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 4 部分: 构建 Java 业务应用程序 简介:本系列文章共有六个部分,本文是其中的第 4 部分,将向您介绍如何在运行 IBM AIX 5.3 操作系统的 pSeries 系统中将 Java 业务应用程序和数据库部署为 Java Web 服务. 开始之前 本教程面向那些希望在自己的Web应用程序开发中快速集成 PHP和Java的 AIX 5.3开发人员.读者应该具有基本的Java编程能力,并对基本的Web开发环境有所了解. 关于本系列 PHP是一种非常优秀的Web开发语言,而在业务应用程序开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNXdvb.html" rel="bookmark">在AIX Version 5&period;3中使用Java和PHP技术进行开发，第3部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第 3 部分: 将 Java 业务应用程序与 DB2Version 9 进行集成 简介:在 AIX 中可以开发使用 Java 和 PHP 技术的应用程序.在获得使用 PHP 作为 基于 Web 的接口平台的好处的同时,您可以使用 Java 编程语言编写核心逻辑(或者重新部署现有的基 于 Java 的应用程序).在本文(系列文章的第 3 部分)中,介绍了如何将第 2 部分中创建的核心应用 程序连接到 DB2 数据库,以便对问卷调查的问题和回答进行存储. 关于本系列 PHP 是一种非常优秀的Web开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKdYVp.html" rel="bookmark">在AIX Version 5&period;3中使用Java和PHP技术进行开发&colon;第2部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2部分:搭建一个基于 Java 的商业应用程序 开始之前 本教程面向那些希望在自己的Web应用程序开发中快速集成 PHP和Java的 AIX 5.3开发人员.读者应该具有基本的Java编程能力,并对基本的Web开发环境有所了解. 关于本系列 PHP是一种非常优秀的Web开发语言,而在业务应用程序开发方面,Java 技术十分流行 .因此,为了在AIX Version 5.3 操作系统上充分利用每种语言的优势,专门开发了PHP Java Bridge. 本系列文章向 AIX 5.3开发人员介绍了如			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl7yRb.html" rel="bookmark">JSP中使用Java的JDBC技术实现对数据库的各种操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JSP 中可以使用Java 的JDBC 技术,实现对数据库中表记录的查询.修改和删除等操作.JDBC 技术在JSP 开发中占有很重要的地位. JDBC(Java DataBase Connectivity)是Java 数据库连接API.简单地说, JDBC 能完成三件事: (1) 与一个数据库建立连接, (2) 向数据库发送SQL 语句, (3) 处理数据库返回的结果. JDBC 和数据库建立连接的一种常见方式是建立起一个JDBC─ODBC 桥接器.由于ODBC 驱动程序被广泛的使用,建立这种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeKXV0M.html" rel="bookmark">如何在Windows Azure中使用Java相关技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们刚刚发布了一个新教程和示例代码,以阐述如何在Windows Azure中使用 Java 相关技术.在该指南中,我们提供了分步教程,说明如何将 Java Spring Framework 应用程序(PetClinic 示例应用程序)迁移到 Windows Azure 云.此文档附带的代码同样也发布在 GitHub 中.我们鼓励 Java 开发人员下载并探索此新示例和教程. Windows Azure 是一个开放的云平台,它支持各种编程语言和框架,包括 Microsoft .NET.Java.N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzwnnnp.html" rel="bookmark">PHP中的Java扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java的易扩展性是它极其的令人兴奋的用途之一,通过学习如何使用这个模块,你可以扩展所有的可用到的Java类.为了使您了解到Java扩展性的基础,本篇文章包括系统的安装和一些PHP和Java一起使用的代码例子. Windows下安装 以下的配置是基于Apache 1.3.12, PHP 4.0.3 (您可以在www.php4win.de下载)和JDK1.2.2 (您可以在java.sun.com下载).我们已经在更老版本的JDK和Windows 95, Windows 98 and NT4下的各			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7K2rz.html" rel="bookmark">实用技巧：PHP中调用Java类的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java语言功能强大,因此在许多情况下在php中来调用Java的功能将十分有用.在php中调用Java语言有两种方法,一种是使用php中的Java扩展模块,另一种是使用minij2ee应用服务器提供的SJOP协议实现.下面我们来比较一下这两种方法各自的特点. 1.php的Java模块 php发布版中包含一个Java扩展模块,可以用来调用Java对象,例如: &lt;?php$system=new Java(&quot;java.lang.System&quot;);print &quot;Java ver			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd60xb.html" rel="bookmark" class="title">3dsmax-3DMax灯光怎么打啊，新手怎么都打不好</a>
					<div>
						问题描述 3DMax灯光怎么打啊,新手怎么都打不好 要交作业,做了个教学楼,想加个灯光,怎么都弄不好啊,求大神指导,在线等 解决方案 这里有视频教学,参考:http://www.youku.com/p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8AGVz.html" rel="bookmark" class="title">Android电视关闭的动画效果</a>
					<div>
						老式电视机关闭的时候画面一闪消失的那个效果:      首先创建一个TVOffAnimation继承于Animation:  import android.graphics.Matrix; impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOnvvp.html" rel="bookmark" class="title">Linux&plus;Informix后台数据库系统编程设置</a>
					<div>
						一:下载informix-online数据库服务器LINUX试用系统 地址: &lt;!--[if !vml]--&gt;&lt;!--[endif]--&gt;http://www.intrawar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlYZqp.html" rel="bookmark" class="title">PHP框架之Qcodo</a>
					<div>
						简介 Qcodo是一款完全面向对象的PHP开发框架,它支持PHP5,基于MVC架构模式与CRUD代码生成功能,并采用事件驱动处理方式.该框架由代码生成器和Qforms组成,属于轻量级框架,Qforms ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bovPBz.html" rel="bookmark" class="title">经验浅谈因过多的302重定向而引发的降权风波</a>
					<div>
						    退稿原因: 文章可读性不高 继续努力 我想大多数的seoer对于301重定向都很熟悉http状态码,主要的用途是用于在域名的更改或者不带www的域名定向到带www的域名上.而对于302重定向可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boV3vz.html" rel="bookmark" class="title">如何使用BBED查看SYSTEM文件头的root dba及bootstrap&dollar;</a>
					<div>
						数据库版本11.2.0.4 实验思路是:     --其中数据库OPEN时的TRACE信息,可以参考:http://blog.csdn.net/q947817003/article/details/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1rQXz.html" rel="bookmark" class="title">PS利用高光素材制作绚丽的非主流人物图片</a>
					<div>
						高光素材在非主流图片中应用是非常广泛的.只需要改变素材图片的混合模式,再用蒙版控制好高光范围即可作出漂亮的图片.如果色彩不够绚丽,可以用多组素材叠加加强画面的效果. 原图 最终效果 1.首先打开下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKNqmM.html" rel="bookmark" class="title">linux 如何查看硬盘大小</a>
					<div>
						  linux 如何查看硬盘大小,内存大小等系统信息及硬件信息 top 可以看到不少信息 fdisk &amp; disk - l &amp; df 查看系统硬盘信息和使用情况 lspci 查看主板信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6mxdb.html" rel="bookmark" class="title">魔法桌面美化王安装使用教程</a>
					<div>
						安装 首先去这个网站进行下载,然后点击安装程序,如图1. 图1 点击下一步. 图2 图3 点击完成,安装完成. 图4 运行后的界面. 图5 如果喜欢哪款主题直接点击&quot;立即应用&quot;即可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg39D5M.html" rel="bookmark" class="title">决定购买苹果Mac电脑你该知道的事</a>
					<div>
						你是不是也经历过在Windows PC和Mac之间左右不定的时候?现在,本文的出现将会让你看到曙光,你只需要准备好你的信用卡,走进一家精品电子专卖店,刷卡成为Mac的主人,那么你的烦恼就终结了. 是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oDowb.html" rel="bookmark" class="title">OS X 系统下如何一键密码锁定屏幕</a>
					<div>
						  这个教程非常适合在公司或学校等地方使用Mac的用户,而且不需要安装任何第三方软件.锁定屏幕后要想返回激活,要输入密码,否则什么操作也做不了.截屏也不能进行. 首先进入苹果电脑Mac OS X系统自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrjrWM.html" rel="bookmark" class="title">Django资源大全 转自http&colon;&sol;&sol;my&period;oschina&period;net&sol;tenking&sol;blog&sol;29139</a>
					<div>
						最近经常在这个版面看到Django相关扩展的介绍,而其一个扩展写一个帖子,觉得没太必要吧. 以前整理的django资源列表,从我的wiki上转过来的. 要找django资源,官网的wiki也是一个不错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAyGOM.html" rel="bookmark" class="title">mysql left&lpar; right &rpar; join使用on 与where 筛选的差异</a>
					<div>
						  有这样的一个问题mysql查询使用mysql中left(right)join筛选条件在on与where查询出的数据是否有差异.    可能只看着两个关键字看不出任何的问题.那我们使用实际的例子来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQA87p.html" rel="bookmark" class="title">server-游标问题   循环结果不是我所想要的。。</a>
					<div>
						问题描述 游标问题 循环结果不是我所想要的.. 一 : 有一张表 Fl_RuKu -- 辅料入库表 另外有一张 fl_KuCun --辅料库存表 二 :初始的时候 Fl_RuKu 表 中有这样的数据  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6aBAM.html" rel="bookmark" class="title">CentOS安装Nginx</a>
					<div>
						一.安装准备   首先由于nginx的一些模块依赖一些lib库,所以在安装nginx之前,必须先安装这些lib库,这些依赖库主要有g++.gcc.openssl-devel.pcre-devel和zl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAlmOM.html" rel="bookmark" class="title">android 下载管理器</a>
					<div>
						android  自带了下载管理器,我们可以获取到下载的进度大小以及下载完成等等的状态,但是android自带的DownLoadManager却没有实现比如暂停,继续等功能也就是不能断点续传,这几天在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPEaDp.html" rel="bookmark" class="title">在使用link环境制作一款《订餐软件》，各种角色的权限的控制是什么方式实现？思路？</a>
					<div>
						问题描述 在使用link环境制作一款&lt;订餐软件&gt;,各种角色的权限的控制是什么方式实现?思路? 在使用link环境制作一款&lt;订餐软件&gt;,各种角色的权限的控制是什么方式实现?思路? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RRLAz.html" rel="bookmark" class="title">C&plus;&plus;MFC编程笔记day05 文档类-单文档和多文档应用程序</a>
					<div>
						 文档类    1 相关类    CDocument类-父类是CCmdTarget类,所以,文档类也可以处理菜单等               命令消息.作用保存和管理数据.    注意事项:如何解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A6Yoz.html" rel="bookmark" class="title">线程互斥问题，程序执行的流程</a>
					<div>
						问题描述 线程互斥问题,程序执行的流程 public class TT implements Runnable { int b = 100; public synchronized void m1() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBvG8M.html" rel="bookmark" class="title">DNF叶落之秋宠物礼盒 三款新宠技能属性一览</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; [科技讯]10月16日消息,告别月明之夏,DNF叶落之秋礼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94P6Xb.html" rel="bookmark" class="title">VS2010与Qt5&period;1&period;0集成&lpar;非源码方式&rpar;</a>
					<div>
						早就听说qt可以集成到VS中,就是一直没尝试过.一直在使用qt creator,也没觉得它有什么不好.可最近VS用多了,我发现一个qt creator中很不好的毛病,就是代码自动完成时,creator ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1WL4z.html" rel="bookmark" class="title">详解Unix&sol;Linux中周期执行指令Crontab命令&lowbar;unix linux</a>
					<div>
						简介 crontab命令常见于Unix和类Unix的操作系统之中,用于设置周期性被执行的指令.该命令从标准输入设备读取指令,并将其存放于&quot;crontab&quot;文件中,以供之后读取和执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoYrVM.html" rel="bookmark" class="title">Struts2，返回HTML内容</a>
					<div>
						问题描述 在struts2中,有没有方法,可以直接返回HTML内容啊?我现在的做法 ,是写一个空白页面,然后在action生成那个内容后,显示到页面上,然后在用JS的ajax获取页面内容.不过我始终觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk3G0M.html" rel="bookmark" class="title">我发现非常高效的导出到Excel的办法</a>
					<div>
						问题描述 我试过12000多条记录导出的Excel文件1.1M大一闪眼就完成了用不到一秒钟 解决方案 解决方案二:用什么方法啊解决方案三:引用1楼sadan2121的回复: 用什么方法啊 解决方案四: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qoyap.html" rel="bookmark" class="title">诺贝尔化学奖颁布 3位美国科学家获得</a>
					<div>
						诺贝尔评奖委员会近日宣布,2013年度化学奖授予美国科学家马丁·卡普鲁斯(Martin Karplus).迈克尔·莱维特(Michael Levitt )和亚丽耶·沃塞尔(Arieh Warshel) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrr0ep.html" rel="bookmark" class="title">backtrack 下启动ssh服务的步骤</a>
					<div>
						最近想装个backtrack学习下. 装好了发现ssh服务没有默认开启. 习惯了ssh登录后的命令行操作,于是瞅瞅怎么启动的. 由于bt是基于ubuntu开发的,先启动下/etc/init.d/ssh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlxBmp.html" rel="bookmark" class="title">使用&period;Net实现多线程经验总结&lowbar;实用技巧</a>
					<div>
						1.简述 一般一个程序一个进程,代码是存在进程中的,进程本身不执行代码, 执行代码的是线程. 一般一个进程里就一个线程.(一个商店就一个老板娘.) 进程就是在内存中开辟了一个空间.代码,图片..等就存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1VmQb.html" rel="bookmark" class="title">java实现折半排序算法&lowbar;java</a>
					<div>
						折半插入排序(binary insertion sort)是对插入排序算法的一种改进,由于排序算法过程中,就是不断的依次将元素插入前面已排好序的序列中.由于前半部分为已排好序的数列,这样我们不用按顺序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk4XJz.html" rel="bookmark" class="title">解决PJBlog3发表日志initUBB is not defined错误</a>
					<div>
						PJBlog版本3.2.9.518,今天用Chrome 29.0.1547.66发表日志时发现页面脚本出错,这个错误导致UBBeditor插入图片等功能不能使用. 分析问题 查看代码后得知,initU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlme1Yp.html" rel="bookmark" class="title">RIGOL普源精电 MSO1104Z 示波器拆解&lpar;四）</a>
					<div>
						看完了主控芯片(FPGA)以及外围的一些芯片,我们再看看另一颗主控芯片.我们可以看到这是一颗Freescale (飞思卡尔)公司的iMAX283芯片,笔者百度了有关这个芯片的介绍,有兴趣的可以看看,i ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
